package org.eclipse.mylar.zest.layouts.algorithms;

import java.awt.Dimension;

import org.eclipse.mylar.zest.layouts.dataStructures.InternalNode;
import org.eclipse.mylar.zest.layouts.dataStructures.InternalRelationship;

import edu.uci.ics.jung.visualization.ISOMLayout;

public class JungISOMLayout extends AbstractJungLayout {

	

	public JungISOMLayout(int styles) {
		super(styles);
	}

	protected void applyLayoutInternal(InternalNode[] entitiesToLayout,
			InternalRelationship[] relationshipsToConsider, double boundsX,
			double boundsY, double boundsWidth, double boundsHeight) {
		layout = new ISOMLayout(graph);
		layout.initialize(new Dimension((int)boundsWidth, (int)boundsHeight));
		
		ISOMLayout isomLayout = (ISOMLayout)layout;
		
		System.out.println(isomLayout.isIncremental());

		int counter = 0;
		while ( isomLayout.incrementsAreDone() == false && counter++ < 1000) {
			isomLayout.advancePositions();
		}

	}

}
